/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
.sparql-editor {
    position: relative;
    //textarea {
    //  display: none;
    //}
    .btn-preview {
      position: absolute;
      top: 15px;
      right: 15px;
      z-index: 999;
    }
}

.visual-editor-prolog {
  position: relative;
  overflow: hidden;
  .overlay {
    position: absolute;
    background:rgba(255,255,255,.8);
    top:0px;
    bottom:0px;
    left:0px;
    right:0px;
    z-index: 5;
  }

  .blankslate {
    position: relative;
    z-index: 6;
    //position: absolute;
    //z-index: 6;
    //width: 100%;
    //max-width: none;
  }

  [data-codemirror] {
    position: absolute;
    top:0;
  }
    //  -webkit-filter: blur(1.5px); /* Safari */
    //  filter: blur(1.5px);
    //}


  //[data-codemirror] {
  //  -webkit-filter: blur(1.5px); /* Safari */
  //  filter: blur(1.5px);
  //}
}

#visual-query-editor-app {
  background: $body-bg;
  height: 100%;
  .blankslate-spinner {
    &::after {
      border-color: $body-bg;
      border-top-color: $brand-primary;
    }
    h4, h3 {
      background:$body-bg;
    }
  }
}